*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
:root{
    --primary: #0073FF;
    --secondary: #171a1e;
    --light: #FFFFFFD9;
    --white: #FFFFFF;
    --transition: all 0.3s ease-in-out;
    --borderColor: light-dark(#E5E5E5, #202020);
}
body{
    font-size: 14px;
    line-height: 1.5;
}

p{
    margin: 0 0 20px;
    font-size: 16px;
}

.topbar{
    padding: 10px 0;
    background-color: var(--secondary);
    color: var(--light);
}
.left-side{
    display: flex;
    justify-content: space-between;
    align-items: center;
    font-size: 13px;
}
.w-full{
    width: 100%;
}
.topbar-wrapper{
    display: flex;
    width: 100%;
    justify-content: space-between;
}
.news-wrapper{
    display: flex;
    padding: 5px 10px;
}

.news-wrapper .live-news{
    color:#e40101;
    font-weight: bold;
    text-transform: uppercase;
    display: flex;
    align-items: center;
    padding-right: 10px;
    margin-right: 10px;
    border-right: 1px solid var(--light);
    flex-shrink: 0;
}
.news-wrapper .live-news span{
    margin-right: 15px;
}

.news-wrapper .news-content{
    width: 100%;
    max-width: 400px;
    line-clamp: 1;
    -webkit-line-clamp: 1;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    overflow: hidden;
}

.custom-logo{
    width: 100%;
    max-height: 30px;
}

.popup-circle{
    width: 8px;
    height: 8px;
    position: relative;
    border-radius: 50%;
    background-color: #e40101;
}
.popup-circle::after{
    content: "";
    position: relative;
    display: block;
    top: -14px;
    inset-inline-start: -14px;
    width: 35px;
    height: 35px;
    box-sizing: border-box;
    border-radius: 50%;
    background-color: #e40101;
    animation: ticker_pulse 1.25s cubic-bezier(.215, .61, .355, 1) infinite;
}

.weather{
    margin-left: 1rem;
    flex-shrink: 0;    
}

.right-side{
    display: flex;
    justify-content: end;
    align-items: center;
}


@keyframes ticker_pulse {
    0% {
        transform: scale(.33);
    }
    80%, 100% {
        opacity: 0;
    }
}

.calender{
    background-color: var(--primary);
    color: var(--light);
    font-size: 12px;
    font-weight: bold;
    padding: 5px 10px;
    border-radius: 0 20px 20px 20px;
    margin-right: 20px;
}
.follow-us{
    display: flex;
    align-items: center;
    font-size: 14px;
    gap: 10px;
    margin-right: 20px;
}
.follow-us a,
.follow-us .follow-text{
    color: var(--light);
    font-weight: bold;
    transition: all 0.3s ease-in-out;
}

.follow-us a:hover{
    color: var(--primary);
}

/* Navbar Code Here */

.navbar{
    background-color: #000;
    color: var(--light);
    align-items: center;
}

.navbar .logo-wrapper {
    background: #fff;
    border-radius: 4px;
    padding: 4px 12px;
}

.navbar a{
    text-decoration: none;
    color: var(--white);
}


.navbar_wrapper{
    width: 100%;
    padding: 0 20px;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.navbar_menu > ul {
    display: flex;
    list-style: none;
    margin-bottom: 0;
}

.navbar_menu > ul > li{
    padding: 28px 0;
}
.navbar_menu ul li a{
    color: var(--white);
    font-weight: 600;
    margin-left: 2rem;
    transition: all 0.3s ease-in-out;
}
.navbar_menu ul li a:hover{
    color: var(--primary);
}
.navbar_menu ul li a > i{
    margin-left: 3px;
    font-size: 12px;
}

.hamburger-menu{
    margin-right: 2rem;
    font-size: 25px;
    padding: 10px;
    border: 1px solid #FFFFFF1A;
    transform: rotate(180deg);
    cursor: pointer;
    background-color: #171A1E;
    border-radius: 5px;
}

.navbar .sub-menu{
    width: 100%;
    max-width: 280px;
    background-color: #333;
    list-style: none;
    padding: 0;
    position: absolute;
    top: 100%;
    z-index: 1;
    opacity: 0;
    visibility: hidden;
    transition: all 0.3s ease-in-out;
}

.navbar li:hover .mega-menu{
    opacity: 1;
    top: 80%;
    visibility: visible;
    z-index: 999;
}

.navbar li:hover .sub-menu{
    opacity: 1;
    top: 80%;
    visibility: visible;
    z-index: 999;
}

.sub-menu li{
    padding: 14px 8px;
    border-bottom: 1px solid #FFFFFF12;
    margin-left: 0;
}
.sub-menu li a{
    margin-left: 1.2rem;
}

.mega-menu{
    position: absolute;
    top: 100%;
    z-index: 999;
    width: 90vw;
    left: 50%;
    transform: translate(-50%, 0);
    padding: 20px 30px;
    background-color: #fff;
    color: #111;
    box-shadow: 0px 0px 50px 0px rgba(0, 0, 0, 0.1);
    border-radius: 0 0 10px 10px;
    opacity: 0;
    visibility: hidden;
    transition: all 0.3s ease-in-out;
}


.headline{
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 1rem;
}
.headline .heading{
    font-size: 20px;
    font-weight: 600;
    color: #111;
}
.mega-menu .rs-button,
.rs-button{
    position: relative;
    display: inline-flex;
    gap: 10px;
    flex-direction: row-reverse;
    align-items: center;
    justify-content: center;
    color: #121214;
    text-decoration: none;
}

.rs-button .button-text, .rs-button .button-icon {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
}
.rs-button .button-icon {
    width: 1em;
    height: 1em;
    overflow: hidden;
}
.rs-button .button-icon img {
    width: 1em;
    height: 1em;
    flex-shrink: 0;
}

.rs-button.icon-anim-flip-top .button-icon>*, .rs-button.icon-anim-flip-right .button-icon>*, .rs-button.icon-anim-flip-bottom .button-icon>*, .rs-button.icon-anim-flip-left .button-icon>*, .rs-button.icon-anim-flip-top-right .button-icon>*, .rs-button.icon-anim-flip-top-left .button-icon>* {
    position: absolute;
    top: 0;
    left: 0;
    transition: .3s;
} 
.rs-button .button-icon>*:last-child {
    transform: translateX(-150%);
}
.rs-button.icon-anim-flip-right:hover .button-icon>* {
    transform: translateX(150%);
}
.rs-button.icon-anim-flip-right:hover .button-icon>*:last-child {
    transform: translateX(0);
}

.rs-button.text-anim-flip-top .button-text::before, .rs-button.text-anim-flip-top .button-text::after, .rs-button.text-anim-flip-bottom .button-text::before, .rs-button.text-anim-flip-bottom .button-text::after {
    content: attr(data-text);
    position: absolute;
    inset: 0;
    transition: .3s;
 }
.rs-button.text-anim-flip-top .button-text::before {
    transform: translateY(150%);
}
.rs-button.text-anim-flip-top:hover .button-text::before {
    transform: translateY(0);
    color: var(--primary);
}

.rs-button.text-anim-flip-top .button-text, .rs-button.text-anim-flip-bottom .button-text {
    overflow: hidden;
    color: rgba(0, 0, 0, 0);
}

.rs-button.text-anim-flip-top .button-text::after {
    transform: translateY(0);
    color: #121214;
}
.rs-button.text-anim-flip-top:hover .button-text::after {
    transform: translateY(-150%);
    color: var(--primary);
}


.mega-menu-column{
    --gap: 30px;
    --item: 4;
    width: 100%;
    list-style: none;
    display: flex;
    flex-wrap: wrap;
    gap: var(--gap);
    padding: 0;
}
.card_style {
    width: calc((100% - (var(--item) - 1) * var(--gap)) / var(--item));
}
.navbar_menu .mega-menu-column .card_style a{
    margin-left: 0;
}

.card_style .card_img{
    width: 100%;
    height: 180px;
    border-radius: 8px;
    margin-bottom: 15px;
    overflow: hidden;
}

.card_style .card_img img{
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.card_style .card_img img:hover{
    transform: scale(1.05);
    transition: all 0.3s ease-in-out;
}

.card_style h6{
    font-size: 18px;
    color: #111;
    transition: all 0.3s ease-in-out;
}
.card_style h6:hover{
    color: var(--primary);
}

.post-meta {
    list-style: none;
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
    align-items: center;
    padding: 5px 0px 0px 0px !important;
    margin: 0 !important;
}

.post-meta .meta {
    color: #999;
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    gap: 8px;
    font-size: 14px;
}

.tabs-list{
    list-style: none;
}

.tab-button{
    padding: 10px 20px;
    background-color: #F7F7F7;
    color: #111;
    font-weight: 500;
    cursor: pointer;
    margin-bottom: 0.5rem;
    border-radius: 5px;
    transition: all 0.3s ease-in-out;
}

.tab-button.tab-activated{
    background-color: var(--primary);
    color: var(--light);
    font-weight: 600;
}

.card_style.card_2 a{
    display: flex;
    gap: 10px;
    align-items: center;
}

.card_style.card_2 .card_img{
    width: 120px;
    height: 100px;
    margin-bottom: 0;
}

.tab-content{
    display: none;
}
.tab-content.tab-activated {
    display: block;
}

.admin-bar header.mobile-header{
    top: 30px;
}

.mobile-header{
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    display: flex;
    justify-content: end;
    opacity: 0;
    visibility: hidden;
    z-index: 999;
    transition: all 0.3s ease-in-out;
}

.mobile-header.active{
    opacity: 1;
    visibility: visible;
}

.mobile-header::before{
    content: "";
    position: fixed;
    inset: 0;
    background-color: #ffffff80;
    z-index: 99;
}

.mobile-header-content{
    z-index: 999;
    width: 100%;
    max-width: 320px;
    background-color: var(--secondary);
    padding: 20px;
    height: 100vh;
    position: relative;
}

.mobile-header-content .close-menu{
    position: absolute;
    top: 20px;
    right: 20px;
    font-size: 18px;
    width: 40px;
    height: 40px;
    padding: 10px;
    background-color: var(--primary);
    color: var(--light);
    border-radius: 8px;
    cursor: pointer;
    display: flex;
    justify-content: center;
    align-items: center;
}


.mobile-header-content .custom-logo{
    width: auto;
    max-height: 50px;
    margin-bottom: 20px;
}
.mobile-menu{
    list-style: none;
    padding: 0;
}
.mobile-menu li{
    margin-left: 0;
    cursor: pointer;
    padding: 14px 12px;
    border-bottom: 1px solid #FFFFFF12;
}
.mobile-menu li a{
    text-decoration: none;
    color: var(--light);
    width: 100%;
    display: flex;
    justify-content: space-between;
}

.mobile-menu li:hover a{
    color: var(--primary);
}

.mobile-menu .sub-menu{
    padding: 0;
    display: none;
}
.mobile-menu li.active + ul.sub-menu{
    display: block;
}

section.hero-section{
    background-color: #171A1E;
    color: var(--light);
    min-height: 100vh;
    height: 100%;
    display: flex;
}

section.hero-section .left-content{
    width: 70%;
    height: 100%;
    position: relative;
}
section.hero-section .right-content{
    width: 30%;
    height: 100%;
}
.hero_banner_img{
    width: 100%;
    height: 100%;
    min-height: 100vh;
    object-fit: cover;
    position: absolute;
    z-index: 9;
}


.hero_content{
    position: relative;
    z-index: 10;
    padding: 120px 60px 60px;
    max-width: 680px;
}

.hero_content .hero_category{
    display: inline-flex;
    background-color: green;
    padding: 4px 12px;
    font-size: 12px;
    font-weight: bold;
    border-radius: 0 10px 10px 10px;
    margin-bottom: 1rem;
}

.hero_content .hero_title{
    font-size: 3.4rem;
    font-weight: bold;
}

.hero_content .btn-primary{
    padding: 0.5rem 1.8rem;
    font-size: 1.2rem;
    font-weight: bold;
    margin-top: 2rem;
}

.hero_content .meta{
    font-weight: bold;
}

.post-grid{
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    gap: 30px;
    padding: 4rem 1rem;
    position: relative;
    z-index: 11;
}

.post-card-style{
    width: 100%;
    max-width: 450px;
    backdrop-filter: blur(20px);
    padding: 12px 40px 12px 12px;
    border: 1px solid #FFFFFF40;
    border-radius: 10px;
    display: flex;
    align-items: center;
    gap: 20px;
}

.post-card-style .post-thumb{
    display: inline-flex;
    flex-basis: 160px;
    border-radius: 12px;
    overflow: hidden;
}

.post-card-style .post-thumb img{
    transition: all 0.5s ease;
}
.post-card-style:hover .post-thumb img{
    transform: scale(1.2);
}
.post-card-content{
    width: calc(100% - 160px);

}
.post-card-content .category{
    display: inline-flex;
    background-color: #0073ff;
    padding: 4px 12px;
    border-radius: 0 12px 12px 12px;
    margin-bottom: 0.4rem;
    font-weight: bold;
}
.post-card-content h6{
    font-size: 1.2rem;
    font-weight: bold;
}
.post-card-content .meta{
    font-weight: bold;
}

.right-content{
    padding: 40px 40px;
}

.flex-box{
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.flex-box .rs-button{
    text-decoration: none;
    font-weight: 600;
}

.hero-section .rs-button.text-anim-flip-top .button-text::after{
    color: #fff;
}


.card-style {
    position: relative;
    display: flex;
    flex-direction: column;
    gap: 25px;
    padding: 12px 12px 25px;
    border-radius: 10px;
    transition: var(--transition);
    border-width: 1px;
    border-style: solid;
    border-color: var(--borderColor);
    overflow: hidden;
}


.card-style.style-floating {
    padding: 0px;
    border-width: medium;
    border-style: none;
    border-color: currentcolor;
    border-image: none;
}

.card-style.card-large .post-thumb {
    height: 250px;
}

.card-style.style-floating .post-content {
    position: absolute;
    inset: 0px 0px 0px;
    padding: 0px 35px 40px;
    top: 120px;
}

.card-style .post-content {
    position: relative;
    padding: 0px 15px;
    transition: var(--transition);
}

.card-style .post-thumb .thumb-overlay {
    position: absolute;
    background-color: transparent;
    background-image: linear-gradient(rgba(87, 64, 64, 0) -14%, rgb(23, 29, 110) 86%);
    pointer-events: none;
    inset: 0px;
    transition: var(--transition);
}

.post-thumb .image-link img{
    width: 100%;
    height: 100%;
    object-fit: cover;
}
.card-style h4.post-title a{
    line-clamp: 2;
    -webkit-line-clamp: 2;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    overflow: hidden;
    color: #fff;
    text-decoration: none;
}

.post-meta .meta a{
    color: #fff;
    text-decoration: none;
}

.card-style.style-two{
    flex-direction: row;
    gap: 10px;
    padding: 14px;
    border-color: #ffffff88;

}

.card-style.style-two .image-link{
    width: 100%;
    height: 100%;
    display: block;
    border-radius: 8px;
    overflow: hidden;
}

.post-content-inner .post-title{
    margin-top: 1rem;
}
.post-content-inner .post-title a{
    text-decoration: none;
    color: #fff;
}

.post-cat a{
    display: inline-flex;
    text-decoration: none;
    color: var(--catCurrentColor);
    font-weight: bold;
    padding: 4px 12px;
    background: var(--catCurrentBgColor);
    border-radius: 0 12px 12px 12px;
}



main#content{
    min-height: 80dvh;
    display: flex;
    justify-content: center;
    align-items: center;
} 
.error-404-content {
    text-align: center;
    margin: 0 auto
}

.error-404-content .error-title {
    font-size: 220px;
    font-weight: 700;
    line-height: .8;
    margin: 0 0 50px;
    letter-spacing: -0.03em
}

.back-btn{
    border: 1px solid;
    padding: 8px 16px;
    border-radius: 4px;
    transform: scale(0.9);
    transition: all 0.5 ease-in;
}

.back-btn:hover{
    transform: scale(1);
    transition: all 0.5 ease-out;
}

.breadcrumb{
    background-color: #f7f7f7;
    padding: 10px 4rem;
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    gap: 10px;
    font-weight: 600;
}
.breadcrumb .active{
    color: var(--primary);
}

.size-full{
    width: 100%;
    height: auto;
    border-radius: 4px;
}

.fw-medium{
    font-weight: 600;
}

.sticky-box{
    position: sticky;
    top: 80px;
    padding: 0 20px;
    transition: 0.5s ease;
}

.head_title{
    display: flex;
    align-items: center;
    padding-bottom: 40px;
}
.head_title .heading{
    width: fit-content;
    margin-bottom: 0;
}
.head_title .design{
    width: 100%;
    height: 8px;
    margin-left: 36px;
    border-top: 1px solid #e5e5e5;
    border-bottom: 1px solid #e5e5e5;
    flex: 1;
    position: relative;
    --size: 8px;
}
.head_title .design::before{
    content: '';
    width: var(--size);
    height: var(--size);
    position: absolute;
    left: calc(var(--size) * -2);
    top: calc(var(--size) * -1/4);
    background: var(--primary);
    transform: rotate(45deg);
    z-index: 1;
}

.category-wrap{
    overflow: hidden;
    width: 100%;
    position: relative;
    border-radius: 8px;
    padding: 14px 20px;
    margin-bottom: 1rem;
    transition: all 0.5s ease;
}

.category-wrap:hover::before{
    background: var(--primary);
}

.category-wrap img {
    position: absolute;
    z-index: -2;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
}
.category-wrap::before{
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: -1;
    background: rgba(0, 0, 0);
    opacity: 60%;
}

.category-wrap a{
    text-decoration: none;
    color: #fff;
    font-weight: bold;
    font-size: 16px;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.category-wrap .icon-btn{
    aspect-ratio: 1;
    background: rgba(255, 255, 255, 0.3);
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 10px;
    border-radius: 4px;
}